On Sat, 09 Apr 2011 01:22:20 +0900, P. A. wrote:

> The patch level is different. It's critical for some applications.

Well, then do the update the right way, namely

apt-get source ruby1.9.1
download the new version into a tarball (let's call it ruby1.9.2pXXX)
cd ruby1.9.1-1.9.2.180
uupdate ../ruby1.9.2pXXX.tar.gz
cd to the new directory
dpkg-buildpackage -rfakeroot



-- 
Chanoch (Ken) Bloom. PhD candidate. Linguistic Cognition Laboratory.
Department of Computer Science. Illinois Institute of Technology.
http://www.iit.edu/~kbloom1/